﻿@using System.Web.UI.WebControls;
@using Toyota.Common.Web.Html;
@using Toyota.Common.Web.MVC;
@using Toyota.Common.Web.Html.Helper;
@using DevExpress.Web;
@using DevExpress.Web.Mvc;
@using Portal.Models.Supplier;
@using Portal.Models.Part;
@using Portal.Models.Globals;

@model Toyota.Common.Web.MVC.ModelHolder
@using (Html.BeginForm("PartialLPOPConfirmation", "SupplierProfile", FormMethod.Post, new { enctype = "multipart/form-data" }))
{
    <table border="0" cellpadding="2" cellspacing="2">
        <tr>
            <td style="width: 100px">
                @Html.DevExpress().Label(
                label =>
                {
                    label.ControlStyle.CssClass = "Label";
                    label.Text = "Supplier Code";
                }).GetHtml()
            </td>
            <td style="width: 150px" colspan="2">
                @Html.Common().DevExpress().GridLookup(
                gridLookup =>
                {
                    gridLookup.Name = "OIHSupplierOption";
                    gridLookup.Width = 150;
                    gridLookup.GridProperties.KeyFieldName = "SUPP_CD";
                    gridLookup.GridProperties.CallbackRouteValues = new { Controller = "SupplierProfile", Action = "PartialHeaderSupplierLookupGridSupplierInfo" };//"PartialHeaderSupplierLookupGridSupplierInfo" };
                    if (Model.GetModel<List<SupplierICS>>().Count == 1)
                    {
                        gridLookup.Text = Model.GetModel<List<SupplierICS>>()[0].SUPP_CD;
                    }

                    gridLookup.GridProperties.Columns.Add(column =>
                    {
                        column.Name = "SUPPLIER_CODE";
                        column.FieldName = "SUPP_CD";
                        column.Caption = "Supplier<br /> Code";
                        column.Width = Unit.Pixel(80);
                        column.CellStyle.HorizontalAlign = HorizontalAlign.Center;
                        column.CellStyle.VerticalAlign = VerticalAlign.Middle;
                    });

                    gridLookup.GridProperties.Columns.Add(column =>
                    {
                        column.Name = "SUPPLIER_NAME";
                        column.FieldName = "SUPP_NAME";
                        column.Caption = "Supplier<br />Name";
                        column.Width = Unit.Pixel(400);
                        column.CellStyle.HorizontalAlign = HorizontalAlign.Left;
                        column.CellStyle.VerticalAlign = VerticalAlign.Middle;
                    });
                }).Bind(Model.GetModel<List<SupplierICS>>()).GetHtml()
            </td>
        </tr>
    </table>
    <table border="0" style="padding-top:10px; width:100%;">
        <tr>
            <td align="left">
                <table border="0">
                    <tr>
                        <td>
                            @Html.DevExpress().Label(
                            label =>
                            {
                                label.ControlStyle.CssClass = "Label";
                                label.Text = "Upload";
                            }).GetHtml()
                        </td>
                        <td>
                            @Html.DevExpress().UploadControl(
                            upload =>
                            {
                                upload.AddButton.Text = "Browse";
                                upload.Name = "SPFileUpload";
                                upload.CallbackRouteValues = new { Controller = "SupplierProfile", Action = "SPFileUpload_CallbackRouteValues" };
                                upload.ClientSideEvents.FileUploadComplete = "OnSPFileUploadComplete";

                                upload.Width = Unit.Pixel(350);

                                upload.ValidationSettings.MaxFileSize = 10000000;
                                upload.ValidationSettings.MaxFileSizeErrorText = "The size of file uploaded larger than allowed";
                                upload.ValidationSettings.AllowedFileExtensions = new String[] { ".xls" };
                                upload.ValidationSettings.ShowErrors = true;

                                upload.Style.Add("display", "inline-table");
                                //upload.Enabled = false;
                            }).GetHtml()
                        </td>
                        <td>
                            @Html.DevExpress().Button(
                            button =>
                            {
                                button.Name = "SPUploadButton";
                                button.Text = "Upload";
                                button.Width = Unit.Pixel(80);
                                button.Style.Add("display", "inline-table");
                                button.ClientSideEvents.Click = "OnSPUploadButtonClick";
                                //button.ClientEnabled = false;
                                button.EnableClientSideAPI = true;
                            }).GetHtml()
                        </td>
                    </tr>
                    <tr>
                        <td></td>
                        <td>
                            @Html.DevExpress().HyperLink(
                            settings =>
                            {
                                settings.Name = "SPDownloadTemplateLink";
                                settings.Properties.Text = "Download Template";
                                settings.Properties.Style.ForeColor = System.Drawing.Color.Blue;
                                settings.Properties.Style.Font.Underline = true;
                                settings.Properties.ClientSideEvents.Click = "OnSPDownloadTemplateLinkClick";
                                settings.ControlStyle.Cursor = "pointer";
                                settings.ControlStyle.VerticalAlign = VerticalAlign.Top;
                                settings.ClientVisible = true;
                            }).GetHtml()
                        </td>
                        <td></td>
                    </tr>
                </table>
            </td>
            <td align="right">
                @Html.DevExpress().Button(
                button =>
                {
                    button.Name = "btnSearch";
                    button.Text = "Search";
                    button.Width = Unit.Pixel(80);
                    button.Style.Add("display", "inline-table");
                    button.ClientSideEvents.Click = "SearchData";
                }
            ).GetHtml()
                @Html.DevExpress().Button(
                button =>
                {
                    button.Name = "btnBack";
                    button.Text = "Clear";
                    button.Width = Unit.Pixel(80);
                    button.Style.Add("display", "inline-table");
                    button.ClientSideEvents.Click = "ClearItem";
                }
            ).GetHtml()
            </td>
        </tr>
    </table>
}